#
# spec file for package granite
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           granite
%define lname   libgranite3
Version:        0.3.1
Release:        1.1
Summary:        An extension of GTK+ libraries
License:        LGPL-3.0+
Group:          Development/Libraries/C and C++
Url:            https://launchpad.net/granite/
Source:         https://launchpad.net/granite/0.3/%version/+download/%name-%version.tar.xz
Source3:        %name-rpmlintrc
BuildRequires:  cmake >= 2.8
BuildRequires:  gobject-introspection-devel
BuildRequires:  vala >= 0.20.1
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.11.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Granite is an extension of GTK+. Among other things, it provides the
commonly-used widgets such as modeswitchers, welcome screens, AppMenus,
search bars, and more found in Elementary applications.

%package common
Summary:        Granite development library -- Common Files
Group:          System/Libraries

%description common
Granite is an extension of GTK+. It provides the commonly used
widgets found in Elementary applications.

This package contains the common files needed by the library

%package demo
Summary:        Granite development library -- Demo binary
Group:          Development/Libraries/Other

%description demo
Granite is an extension of GTK+. It provides the commonly used
widgets found in Elementary applications.

This package contains a small demo application to show the granite widgets

%package devel
Summary:        Granite development library -- Development files
Group:          Development/Libraries/GNOME
Requires:       %lname = %version

%description devel
Granite is an extension of GTK+. It provides the commonly used
widgets found in Elementary applications.

This package contains the development files for libgranite

%package -n %lname
Summary:        Granite is a development library for Elementary development
Group:          System/Libraries
Requires:       %name-common

%description -n %lname
Granite is an extension of GTK+. It provides the commonly used
widgets found in Elementary applications.

%package -n typelib-1_0-Granite-1_0
Summary:        Granite development library -- Introspection bindings
Group:          Development/Libraries/GNOME

%description -n typelib-1_0-Granite-1_0
Granite is an extension of GTK+. It provides the commonly used
widgets found in Elementary applications.

This package provides the GObject Introspection bindings for libgranite

%prep
%setup -q

%build
mkdir -p build
cd build
export CFLAGS="%optflags"
cmake -DCMAKE_INSTALL_PREFIX="%_prefix" -DCMAKE_INSTALL_LIBDIR="%_libdir" ..
make

%install
pushd build/
%make_install
popd
%find_lang granite

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files common -f granite.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README 
%_datadir/icons/hicolor/*/actions/*.svg
%_datadir/icons/hicolor/scalable/actions/*.svg

%files demo
%defattr(-, root, root)
%_bindir/granite-demo
%_datadir/applications/granite-demo.desktop

%files devel
%defattr(-,root,root)
%_includedir/granite/
%_libdir/libgranite.so
%_libdir/pkgconfig/*.pc
%_datadir/gir-1.0/
%_datadir/vala/

%files -n %lname
%defattr(-,root,root)
%_libdir/*.so.*

%files -n typelib-1_0-Granite-1_0
%defattr(-,root,root)
%_libdir/girepository-1.0/

%changelog
* Sun Aug 30 2015 mailaender@opensuse.org
- update to version 0.3.1
- removed vala_gtk_bindings.patch as lp#1421925 is fixed upstream
- removed DynamicNotebook.diff as lp#1453526 has been fixed upstream
- removed ContractorView.diff
* Fri May 15 2015 mailaender@opensuse.org
- add patches to fix bit rot
  * ContractorView.diff
  * DynamicNotebook.diff
* Mon Feb 16 2015 mailaender@opensuse.org
- add vala_gtk_bindings.patch.patch to fix lp#1421925
* Sun Jun 15 2014 mailaender@opensuse.org
- update to version 0.3.0
* Thu May 15 2014 jengelh@inai.de
- initial packaging
